Freeciv-3.3: /fast/freeciv/nightly/main/client/gui-gtk-3.22/finddlg.c File Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Functions | Variables
finddlg.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <gtk/gtk.h>`
`#include "fcintl.h"`
`#include "log.h"`
`#include "game.h"`
`#include "player.h"`
`#include "options.h"`
`#include "dialogs.h"`
`#include "gui_main.h"`
`#include "gui_stuff.h"`
`#include "mapview.h"`
`#include "finddlg.h"`

Go to the source code of this file.

## Functions

static void | update_find_dialog (GtkListStore *store)
static void | find_response (struct gui_dialog *dlg, int response, gpointer data)
static void | find_destroy_callback (GtkWidget *w, gpointer data)
static void | find_selection_callback (GtkTreeSelection *selection, GtkTreeModel *model)
void | popup_find_dialog (void)

## Variables

static struct gui_dialog * | find_dialog_shell
static GtkWidget * | find_view
static struct tile * | pos

## Function Documentation

## ◆ find_destroy_callback()

static void find_destroy_callback | ( | GtkWidget * | w,
|  | gpointer | data
| ) |  |

static

Find dialog destroyed

Definition at line 187 of file finddlg.c.

Referenced by popup_find_dialog().

## ◆ find_response()

static void find_response | ( | struct gui_dialog * | dlg,
|  | int | response,
|  | gpointer | data
| ) |  |

static

User responded to find dialog

Definition at line 162 of file finddlg.c.

Referenced by popup_find_dialog().

## ◆ find_selection_callback()

static void find_selection_callback | ( | GtkTreeSelection * | selection,
|  | GtkTreeModel * | model
| ) |  |

static

User selected city from find dialog

Definition at line 197 of file finddlg.c.

Referenced by popup_find_dialog().

## ◆ popup_find_dialog()

void popup_find_dialog | ( | void |  | ) |

Popup the dialog 10% inside the main-window

Definition at line 58 of file finddlg.c.

Referenced by cities_action_callback(), find_city_callback(), and find_city_callback().

## ◆ update_find_dialog()

static void update_find_dialog | ( | GtkListStore * | store | ) |

static

Update find dialog with current cities

Definition at line 137 of file finddlg.c.

Referenced by popup_find_dialog().

## Variable Documentation

## ◆ find_dialog_shell

struct gui_dialog* find_dialog_shell

static

Definition at line 43 of file finddlg.c.

Referenced by popup_find_dialog().

## ◆ find_view

GtkWidget* find_view

static

Definition at line 44 of file finddlg.c.

Referenced by find_response(), and popup_find_dialog().

## ◆ pos

struct tile* pos

static

Definition at line 53 of file finddlg.c.

Referenced by assess_danger_unit(), caravan_search_from(), city_dialog::change_production(), chatline_autocomplete(), create_display_menu_item(), create_plrdlg_display_menu_item(), dai_diplomat_bribe_nearby(), dai_manage_diplomat(), production_widget::eventFilter(), fc_tooltip::eventFilter(), find_destroy_callback(), mr_menu::find_last_unit_pos(), find_response(), find_something_to_kill(), genlist_insert(), genlist_link_at_pos(), get_help_item(), get_help_item_spec(), get_token_value(), goto_path_redraw(), goto_path_undraw(), goto_tile_state(), units_select::mouseMoveEvent(), info_tab::mouseMoveEvent(), city_map::mousePressEvent(), qfc_dialog::mousePressEvent(), info_tab::mousePressEvent(), research_diagram::mousePressEvent(), info_tab::mouseReleaseEvent(), hud_battle_log::moveEvent(), network_list_callback(), info_tile::paint(), fc_double_edge::paintEvent(), pf_danger_map_construct_path(), pf_danger_map_create_segment(), pf_danger_map_fill_position(), pf_danger_map_position(), pf_finalize_position(), pf_fuel_finalize_position(), pf_fuel_finalize_position_base(), pf_fuel_map_construct_path(), pf_fuel_map_create_segment(), pf_fuel_map_fill_position(), pf_fuel_map_iterate(), pf_fuel_map_position(), pf_fuel_pos_ref(), pf_fuel_pos_replace(), pf_fuel_pos_unref(), pf_map_iter_position(), pf_map_path(), pf_map_position(), pf_normal_map_fill_position(), pf_normal_map_position(), pf_path_new_to_start_tile(), pf_path_print_real(), pf_position_fill_start_tile(), pf_reverse_map_destroy_pos(), pf_reverse_map_pos(), pf_reverse_map_unit_move_cost(), pf_reverse_map_unit_position(), pf_reverse_map_utype_move_cost(), pf_reverse_map_utype_position(), populate_view(), popup_find_dialog(), popup_help_dialog_typed(), process_attacker_want(), production_widget::production_widget(), read_a_line(), map_view::shortcut_pressed(), map_view::shortcut_released(), fc_client::start_page_menu(), fc_sidewidget::update_final_pixmap(), update_last_part(), worker_evaluate_city_requests(), and worker_evaluate_improvements().